LootJS.modifiers((event) => {
    event.addBlockLootModifier("#minecraft:flowers").apply((ctx) => {
        if (ctx.player === null) {
            return;
        }

        ctx.removeLoot(Ingredient.all);

        if (ctx.player.mainHandItem.hasTag("minecraft:hoes")) {
            ctx.addLoot(LootEntry.of(ctx.destroyedBlock.item));
        }
    });
});